typedef unsigned int  int16;
typedef unsigned char int8;

extern void rx_handler (void);
extern int8 kbhit(void);
//
extern void delay_us(unsigned int usec);
extern void delay_ms(unsigned int msec);
extern void delay_cycles(unsigned int usec);
//
extern void enable_interrupts(int16 data);
extern void disable_interrupts(int16 data);
extern void set_uart_speed(int baud);
extern void clear_interrupt(int16 data);
extern void send_232(int8 data);
extern void open_232(int16 speed);
extern void clear_232rxbuf(void);
//
extern void set_tris_a(int8 data);       // PORT A
extern void set_tris_b(int8 data);       // PORT B
extern void set_tris_c(int8 data);       // PORT C
extern void set_tris_d(int8 data);       // PORT D
extern void set_tris_e(int8 data);       // PORT E
extern void port_b_pullups(void);
//
extern void lcd_init(void);
extern void lcd_putstr(const rom char *buffer);
extern void lcd_putc(int8 c);
extern void lcd_locxy( int8 x, int8 y);
//
extern int8 hex2asc(int8 data);
//ex
// temp=hex2asc(7);  temp='7'

extern int8 dec2ascfigure(int16 data,int no);    // 1<= no <= 5
//ex 
// temp=dec2ascfigure(7,1);  temp=7
// temp=dec2ascfigure(7,2);  temp=0
// temp=dec2ascfigure(7,3);  temp=0
extern int8 hex2ascfigure(int16 data,int8 no);   // 1<= no <= 4
//ex 
// temp=hex2ascfigure(7,1);  temp=7
// temp=hex2ascfigure(7,2);  temp=0
// temp=hex2ascfigure(7,3);  temp=0

extern void clear_buf(ram char *memo);           //128oCgNA

#define TRUE  1
#define FALSE 0

#define CLOCK   4             // PʂMHzoŎw
#define FOSC    4000000
#define def_SPEED 19200       //232{[[g

/////////////////////////////////////////////////
#define GLOBAL                    0xF2C0
#define INT_RTCC                  0xF220
#define INT_TIMER0                0xF220
#define INT_TIMER1                0x9D01
#define INT_TIMER2                0x9D02
#define INT_TIMER3                0xA002
#define INT_EXT                   0xF210
#define INT_EXT1                  0xF008
#define INT_EXT2                  0xF010
#define INT_RB                    0xF208
#define INT_PSP                   0x9D80
#define INT_AD                    0x9D40
#define INT_RDA                   0x9D20
#define INT_TBE                   0x9D10
#define INT_SSP                   0x9D08
#define INT_CCP1                  0x9D04
#define INT_CCP2                  0xA001
#define INT_BUSCOL                0xA008
#define INT_LOWVOLT               0xA004
#define INT_EEPROM                0xA010



